using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioReserva
    {

        public IList<entidadeReserva> Select(entidadeReserva objReserva)
        {
            dalReserva dalReserva = null;

            var lstReserva = new List<entidadeReserva>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalReserva = new dalReserva();
                dt = dalReserva.Select(objReserva);

                regranegocioGlobal = new regraNegocioGlobal();

                lstReserva = regraNegocioGlobal.ConvertDataTable<entidadeReserva>(dt);

                return lstReserva;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
